Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.functions
Class ModuleImpl

    java.lang.Object
      org.exist.xquery.AbstractInternalModule
          org.exist.xquery.functions.ModuleImpl

All Implemented Interfaces:
  InternalModule, Module

public class ModuleImpl
extends AbstractInternalModule

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static FunctionDef[]` | `functions`
`static java.lang.String` | `PREFIX`

Fields inherited from interface org.exist.xquery.Module
`REQUEST_FUNCTION_NS, RESPONSE_FUNCTION_NS, SESSION_FUNCTION_NS, SYSTEM_FUNCTION_NS, TEXT_FUNCTION_NS, TRANSFORM_FUNCTION_NS, UTIL_FUNCTION_NS, XMLDB_FUNCTION_NS`

Constructor Summary
`ModuleImpl()`

Method Summary
`java.lang.String` | `getDefaultPrefix()` Returns an optional default prefix (used if no prefix is supplied with the "import module" directive).
`java.lang.String` | `getDescription()` Return a short description of this module to be displayed to a user.
`java.lang.String` | `getNamespaceURI()` Returns the namespace URI that uniquely identifies this module.

Methods inherited from class org.exist.xquery.AbstractInternalModule
`declareVariable, declareVariable, getFunctionDef, getFunctionsByName, getSignaturesForFunction, isInternalModule, isVarDeclared, listFunctions, reset, resolveVariable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### functions

    public static final FunctionDef[] functions

Constructor Detail

### ModuleImpl

    public ModuleImpl()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Module`
  Return a short description of this module to be displayed to a user.

  Returns:
    short description of this module

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Description copied from interface: `Module`
  Returns the namespace URI that uniquely identifies this module.

  Specified by:
    `getNamespaceURI` in interface `Module`
  Specified by:
    `getNamespaceURI` in class `AbstractInternalModule`

### getDefaultPrefix

    public java.lang.String getDefaultPrefix()

  Description copied from interface: `Module`
  Returns an optional default prefix (used if no prefix is supplied with the "import module" directive).

  Specified by:
    `getDefaultPrefix` in interface `Module`
  Specified by:
    `getDefaultPrefix` in class `AbstractInternalModule`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.